﻿namespace WingBeats.Mvc

open System.Configuration

type WingBeatsConfigurationSettings () =
    inherit ConfigurationSection()
    
    static member GetSection() =
        ConfigurationManager.GetSection("wingbeats") :?> WingBeatsConfigurationSettings
        
    [<ConfigurationProperty("viewAssembly")>]
    member this.ViewAssembly = this.["viewAssembly"] :?> string 
    
    [<ConfigurationProperty("controllerAssembly")>]
    member this.ControllerAssembly = this.["controllerAssembly"] :?> string
    
        
