﻿#r @"C:\Users\Johan\Desktop\WingBeats\trunk\WingBeats.CSS\bin\Debug\WingBeats.CSS.dll"

//open WingBeats.CSS.AST
open WingBeats.CSS.Beats

let standardMargin  = "10px"
let standardPadding = "5px"
let backgroundColor = "#efe"
let accentColor     = "#9e7"
let mixIn =
    [
        "margin", standardMargin
        "padding", standardPadding
        "border", ("solid 1px " + accentColor)
    ]
let mixIn2 color =
    [
        "border", ("solid 2px" + color)
    ]

let mainStyle =
    [
        domain "#left-column, #middle-column, #right-column"
            [
                "width", "200px"
                "margin", standardMargin
            ]
            [
                domain "> div"
                    (mixIn2 "Black")
                    []
            ]
    ]


(*
{
    
    standard-margin  10px
    standard-padding 5px
    background-color #efe
    accent-color     #9e7
    mixin
        margin {standard-margin}
        height 100px; width 200px
        paddin {standard-padding}
        border solid 1px {accent-color}
    mixin2 color
        border solid 2px {color} 
}

#left-column, #middle-column, #right-column
    width 200px
    margin {standardMargin}
    > div
        {mixin2 Black}
*)