﻿module Home.Views
open   WingBeats.XHTML
open   WingBeats.XHTML.CoreBeats
//open   WingBeats.XHTML.Patterns

let basicStructure headerContent mainContent footerContent = 
    div "#page"
        [
            div "#header" headerContent
            div "#main"   mainContent
            div "#footer" footerContent
        ]

let page () = 
    Html
        {
            Language =D.Swedish
            Title = "testsida"
            Head = []
            Body =
                [
                    basicStructure
                        []       
                        [
                            div "#body-text"
                                [
                                    p ".intro" "Detta är en ingress."
                                    P ("ett stycke med" -- EM "emfas!" -- "Det är inte alls dumt!")
                                    P "Ett annat stycke"
                                    P "Ett tredje stycke"
                                ]
                        ]
                        []
                ]
        }