﻿namespace WingBeats.Xhtml.A

// This file should be removed and the attributes should be generated instead.

open WingBeats.Xhtml

type attribute =
    | Abbr          of D.text
    | Accept        of D.contentTypes
    | AcceptCharset of D.charset
    | Action        of D.uri
    | Accesskey     of D.character
    | Align         of D.cellHAlign
    | Alt           of D.text  
    | Archive       of D.uri  
    | Axis          of D.cdata
    | Border        of D.pixels
    | CellPadding   of D.length
    | CellSpacing   of D.length
    | Charset       of D.charset
    | Char          of D.character
    | Charoff       of D.length
    | Checked
    | Cite          of D.uri
    | Class         of string list
    | ClassID       of D.uri
    | CodeBase      of D.uri
    | CodeType      of D.contentType
    | Cols          of D.number
    | ColSpan       of D.number
    | Content       of D.cdata
    | Coords        of D.coords
    | Data          of D.uri
    | DateTime      of D.dateTime
    | Declare
    | Defer
    | Dir           of D.textdir
    | Disabled
    | EncType       of D.encType
    | For           of D.idref
    | Frame         of D.tFrame
    | Headers       of D.idrefs
    | Height        of D.length
    | Href          of D.uri
    | HrefLang      of D.languagecode
    | HttpEquiv     of D.httpEquiv
    | Id            of D.id
    | IsMap
    | Label         of D.text
    | Lang          of D.languagecode
    | LongDesc      of D.uri
    | MaxLength     of D.number
    | Media         of D.mediaDesc
    | Name_Meta     of D.metaName
    | Method        of D.formMethod
    | Multiple
    | Name_CDATA    of D.cdata
    | Name_NMTOKEN  of D.nmtoken
    | NoHref
    | NoWrap
    | Profile       of D.uri
    | ReadOnly
    | Rel           of D.linkTypes
    | Rev           of D.linkTypes
    | RowSpan       of D.number
    | Rows          of D.number
    | Rules         of D.tRules
    | Scheme        of D.cdata
    | Scope         of D.scope
    | Selected
    | Shape         of D.shape
    | Size_Number   of D.number
    | Size_CDATA    of D.cdata
    | Span          of D.number
    | Src           of D.uri
    | Standby       of D.text
    | Style         of D.cdata
    | Summary       of D.text
    | TabIndex      of D.number
    | Title         of D.text
    | Type_Input    of D.inputType
    | Type_Content  of D.contentType
    | Type_Button   of D.buttonType
    | UseMap        of D.uri
    | VAlign        of D.cellVAlign
    | Value         of D.cdata
    | ValueType     of D.valueType
    | Width_Length  of D.length
    | Width_MultiLength of D.multiLength
    | XmlLang       of D.languagecode
    | XmlNS         of D.uri
    | XmlSpace  
    | Attribute     of (string * string)


